libeatmydata1_105-3_amd64.deb


Advertisement

Description

libeatmydata1 - Library and utilities to disable fsync and friends - shared library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libeatmydata1_105-3_amd64.deb
Package name libeatmydata1
Package version 105
Package release 3
Package architecture amd64
Package type deb
Category utils
Homepage https://launchpad.net/libeatmydata
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.11 KB
Installed size 32.00 KB
This package contains the actual LD_PRELOAD library (libeatmydata) supporting
the operation of the eatmydata package. Users typically want to use or depend
on the eatmydata package instead of this one, so see its description for
further information.

Alternatives

Package Version Architecture Repository
libeatmydata1_105-3_i386.deb 105 i386 Ubuntu Main
libeatmydata1 - - -

Requires

Name Value
libc6 >= 2.4

Replaces

Name Value
eatmydata << 82-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libeatmydata1_105-3_amd64.deb
Source Package libeatmydata

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libeatmydata1 deb package:
    # sudo apt-get install libeatmydata1

Files

Path
/usr/lib/x86_64-linux-gnu/libeatmydata.so
/usr/lib/x86_64-linux-gnu/libeatmydata.so.1
/usr/lib/x86_64-linux-gnu/libeatmydata.so.1.1.2
/usr/share/doc/libeatmydata1/changelog.Debian.gz
/usr/share/doc/libeatmydata1/copyright
/usr/share/lintian/overrides/libeatmydata1

Changelog

2016-04-04 - Mattia Rizzolo <mattia@debian.org>
libeatmydata (105-3) unstable; urgency=medium
* [ded2257] debian/patches: forward 2 patches.
* eatmydata.sh:
+ [157cdc6] fix typo that prevented a proper error message when the target
executable was not found.
+ [a09b086] if the called program is a link to something else, do not call
the link target but still call the original program.  Closes: #817995
2016-02-28 - Mattia Rizzolo <mattia@debian.org>
libeatmydata (105-2) unstable; urgency=medium
* [566a7d0] debian/patches/avoid-pthread-link: add to avoid linking against
pthread and calling pthread_testcancel also when the called program doesn't.
Thanks to Samuel Thibault <sthibault@debian.org> for the patch.
Closes: #816144
* debian/control:
+ [107b591] Set myself as maintainer, drop modax.  Thanks for all the work!
+ [d3eb0c8] Bump Standards-Version to 3.9.7, no changes needed.
+ [6f69471] Use https in Vcs-Git.
* [112f080] debian/{control,copyright}: use my @debian.org email address.
* [a5c4e4f] debian/copyright: extend my copyright for another year.
2015-09-04 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (105-1) unstable; urgency=medium
* [edcd4e8] Imported Upstream version 105:
+ [23ecfaf] debian/patches: drop patches: all applied upstream.
* debian/patches:
+ [58b004e] soversion: add to revert an useless/wrong/unintentional
SOVERSION change made by upstream.
+ [b859146] drop-unneeded-include: add to allow a clean dep-8 test.
+ [acdb016] tests: add dep-3 header.
* [259b46f,ae03c97] debian/tests: add a DEP-8 testsuite.  Closes: #765294
* [16352b4] debian/rules: enable verbose building.
* [b486084] debian/copyright: update years.
* [048c4ea] debian/eatmydata.1: Add a paragraph explaining how to correctly
load libeatmydata without using the wrapper, e.g. how to set the
LD_LIBRARY_PATH and LD_PRELOAD env variable.   Closes: #781485
2014-11-30 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (82-6) unstable; urgency=low
* No-change upload to unstable.
* Upload sponsored by Petter Reinholdtsen.
2014-11-22 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (82-5) experimental; urgency=low
* [e9ae45a] Replace eatmydata executable with one both Multi-Arch safe and
compatible with older eatmydata versions in chroots. Thanks to Thorsten
Glaser for the patch! (Closes: #765810).
* [3638933] debian/control: drop now useless depends on dpkg-dev
(Closes: #770109).
* [0ea9512] debian/eatmydata.1: update manpage with information about
multiarch. Thanks to Osamu Aoki for reporting (Closes: #766212).
* Upload sponsored by Petter Reinholdtsen.
2014-11-19 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (82-4) unstable; urgency=low
[ Mattia Rizzolo ]
* [c6fde16] Fix FTBFS on hurd-i386 and kfreebsd-* due to missing strace (used
by the test suite) (Closes: #769605).
[ Thorsten Glaser ]
* [8c41772] Add missing Pre-Depends on multiarch-support
* Upload sponsored by Petter Reinholdtsen.
2014-11-09 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (82-3) unstable; urgency=low
* debian/patches/bug-702711.patch:
+ [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
+ [0167220] update headers.
* [3fabf6f] debian/control: build-depend on strace only on non hurd and non
kfreebsd systems, where it is unavailable.
* Upload sponsored by Petter Reinholdtsen.
2014-10-13 - Mattia Rizzolo <mattia@mapreri.org>
libeatmydata (82-2) unstable; urgency=medium
* Upload to unstable.
* Upload sponsored by Petter Reinholdtsen.

See Also

Package Description
libebackend-1.2-10_3.18.5-1ubuntu1_amd64.deb Utility library for evolution data servers
libebackend1.2-dev_3.18.5-1ubuntu1_amd64.deb Utility library for evolution data servers (development files)
libebook-1.2-16_3.18.5-1ubuntu1_amd64.deb Client library for evolution address books
libebook-contacts-1.2-2_3.18.5-1ubuntu1_amd64.deb Client library for evolution contacts books
libebook-contacts1.2-dev_3.18.5-1ubuntu1_amd64.deb Client library for evolution contacts books (development files)
libebook1.2-dev_3.18.5-1ubuntu1_amd64.deb Client library for evolution address books (development files)
libecal-1.2-19_3.18.5-1ubuntu1_amd64.deb Client library for evolution calendars
libecal1.2-dev_3.18.5-1ubuntu1_amd64.deb Client library for evolution calendars (development files)
libecap3-dev_1.0.1-3ubuntu3_amd64.deb eCAP development libraries
libecap3_1.0.1-3ubuntu3_amd64.deb eCAP library
libecj-java-gcj_3.10.1-2_amd64.deb Eclipse Java compiler (native library)
libecj-java_3.10.1-2_all.deb Eclipse Java compiler (library)
libecpg-compat3_9.5.2-1_amd64.deb older version of run-time library for ECPG programs
libecpg-dev_9.5.2-1_amd64.deb development files for ECPG (Embedded PostgreSQL for C)
libecpg6_9.5.2-1_amd64.deb run-time library for ECPG programs
Advertisement
Advertisement